org.apache.ode.bpel.common.evt

## Class DebugBpelEventListener

- java.lang.Object
- - org.apache.ode.bpel.common.evt.DebugBpelEventListener

- All Implemented Interfaces:
    BpelEventListener

      public class DebugBpelEventListener
      extends java.lang.Object
      implements BpelEventListener

  Example implementation of the `BpelEventListener` interface. Dumps navigation events to a logging appender and optionally to stdout. To use the DebugBpelEventListener add the following lines to your ode-xxx.properties file: `ode-jbi.event.listeners=org.apache.ode.bpel.common.evt.DebugBpelEventListener debugeventlistener.dumpToStdOut=on/off`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DebugBpelEventListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onEvent(BpelEvent bpelEvent)` Handle events.
    `void` | `shutdown()` Allows the clean up in listener implementations.
    `void` | `startup(java.util.Properties configProperties)` Allows the initialisation of listeners.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DebugBpelEventListener

          public DebugBpelEventListener()

  - ### Method Detail

    - #### onEvent

          public void onEvent(BpelEvent bpelEvent)

      Description copied from interface: `BpelEventListener`
      Handle events.
      Specified by:
        `onEvent` in interface `BpelEventListener`
      Parameters:
        `bpelEvent` - BPEL event

    - #### startup

          public void startup(java.util.Properties configProperties)

      Description copied from interface: `BpelEventListener`
      Allows the initialisation of listeners. Called directly after removing the listener from the listeners list. `configProperties` provide access to configuration option defined in Ode's configuration file (depends on the used IL implementation). This parameter might be null if no configuration options are available (i.e. in test cases).
      Specified by:
        `startup` in interface `BpelEventListener`
      Parameters:
        `configProperties` - configuration properties

    - #### shutdown

          public void shutdown()

      Description copied from interface: `BpelEventListener`
      Allows the clean up in listener implementations. Called directly before adding the listener to the listeners list.
      Specified by:
        `shutdown` in interface `BpelEventListener`